/* 
    Created on : Feb. 2, 2020, 11:49:50 a.m.
    Author     : Michael Mishin 
*/

/*================ JSF ===============*/
.SurveyContainer table tr{
    list-style: none;
    margin: 0;
    padding: 0;
    overflow: auto;
}

.SurveyContainer table tr td{
    color: #AAAAAA;
    display: block;
    position: relative;
    float: left;
    width: 100%;
    height: auto;
    padding: 10px 0px;
    border-bottom: 1px solid #333;
}

.SurveyContainer table tr td input[type=radio]{
    position: absolute;
    visibility: hidden;
}

.SurveyContainer table tr td label{
    display: block;
    position: relative;
    font-weight: 300;
    font-size: 1.3em;
    padding: 13px 25px 25px 80px;
    margin: 10px auto;
    height: 30px;
    z-index: 9;
    cursor: pointer;
    -webkit-transition: all 0.25s linear;
}

.SurveyContainer table tr td:hover label{
    color: #FFFFFF;
}

.SurveyContainer table tr td .check{
    display: block;
    position: absolute;
    border: 5px solid #AAAAAA;
    border-radius: 100%;
    height: 35px;
    width: 35px;
    top: 30px;
    left: 20px;
    z-index: 5;
    transition: border .25s linear;
    -webkit-transition: border .25s linear;
}

.SurveyContainer table tr td:hover .check {
    border: 5px solid #FFFFFF;
}

.SurveyContainer table tr td .check::before {
    display: block;
    position: absolute;
    content: '';
    border-radius: 100%;
    height: 15px;
    width: 15px;
    top: 5px;
    left: 5px;
    margin: auto;
    transition: background 0.25s linear;
    -webkit-transition: background 0.25s linear;
}



/*================ Normal ===============*/

.SurveyContainer{
  display: block;
  position: relative;
}

SurveyContainer h2 {
    color: #AAAAAA;
}

.SurveyContainer ul{
    list-style: none;
    margin: 0;
    padding: 0;
    overflow: auto;
}

.SurveyContainer ul li{
    color: #AAAAAA;
    display: block;
    position: relative;
    float: left;
    width: 100%;
    height: auto;
    padding: 10px 0px;
    border-bottom: 1px solid #333;
}

.SurveyContainer ul li input[type=radio]{
    position: absolute;
    visibility: hidden;
}

.SurveyContainer ul li label{
    display: block;
    position: relative;
    font-weight: 300;
    font-size: 1.3em;
    padding: 13px 25px 25px 80px;
    margin: 10px auto;
    height: 30px;
    z-index: 9;
    cursor: pointer;
    -webkit-transition: all 0.25s linear;
}

.SurveyContainer ul li:hover label{
    color: #FFFFFF;
}

.SurveyContainer ul li .check{
    display: block;
    position: absolute;
    border: 5px solid #AAAAAA;
    border-radius: 100%;
    height: 35px;
    width: 35px;
    top: 30px;
    left: 20px;
    z-index: 5;
    transition: border .25s linear;
    -webkit-transition: border .25s linear;
}

.SurveyContainer ul li:hover .check {
    border: 5px solid #FFFFFF;
}

.SurveyContainer ul li .check::before {
    display: block;
    position: absolute;
    content: '';
    border-radius: 100%;
    height: 15px;
    width: 15px;
    top: 5px;
    left: 5px;
    margin: auto;
    transition: background 0.25s linear;
    -webkit-transition: background 0.25s linear;
}

input[type=radio]:checked ~ .check {
    border: 5px solid #0DFF92;
}

input[type=radio]:checked ~ .check::before{
    background: #0DFF92;
}

input[type=radio]:checked ~ label{
    color: #0DFF92;
}

/* custom animated button */

.answerButton {
    display: inline-block;
    border-radius: 8px;
    background-color: #0DFF92;
    border: none;
    color: #FFFFFF;
    text-align: center;
    font-size: 1.3em;
    padding: 1em 2em;
    transition: all 0.5s;
    cursor: pointer;
    margin: 15px 20px;
    vertical-align: middle;
}

.answerButton span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
}

.answerButton span:after {
    content: '\00bb';     /* this symbol: » */
    position: absolute;
    opacity: 0;
    top: 0;
    right: -20px;
    transition: 0.5s;
}

.answerButton:hover span {
    padding-right: 25px;
}

.answerButton:hover span:after {
    opacity: 1;
    right: 0;
}
